Bug 966466 - An error occurred executing 'gear postreceive' when git push for binhello/OSQA/redmine/django/ogm/BookMarks/owncloud/reviewboard/liferay quickstarts
An error occurred executing 'gear postreceive' when git push for binhello/OSQ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 06:23 EDT by Wei Sun
Modified: 2015-05-14 19:19 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:09:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2013-05-23 06:23:56 EDT
Description of problem:
Create some quickstarts as follow README.md.but when failed to git push,it shows error message "An error occurred executing 'gear postreceive'".

Version-Release number of selected component (if applicable):
https://github.com/openshift/openshift-diy-binhello-demo
https://github.com/openshift/OSQA-openshift-quickstart
https://github.com/openshift/redmine-2.0-openshift-quickstart
https://github.com/openshift/django-example
https://github.com/openshift/openshift-ogm-quickstart
https://github.com/openshift/BookMarks-openshift-quickstart
https://github.com/openshift/owncloud-openshift-quickstart
https://github.com/openshift/reviewboard-example
https://github.com/openshift/jbossas7-liferay-quickstart
https://github.com/openshift/redmine-openshift-quickstart

devenv_3262

How reproducible:
Always

Steps to Reproduce:
1.create the quickstarts as follow README.md, for example: https://github.com/openshift/openshift-diy-binhello-demo
2.
3.

Actual results:
[wsun@dhcp-9-140 jamie]$ git push
Counting objects: 13, done.
Delta compression using up to 8 threads.
Compressing objects: 100% (7/7), done.
Writing objects: 100% (8/8), 55.03 KiB, done.
Total 8 (delta 0), reused 0 (delta 0)
remote: Stopping DIY cart
remote: Starting DIY cart
remote: /var/lib/openshift/519d89fc484b1c08bc000002/app-root/runtime/repo//.openshift/action_hooks/start: line 3: syntax error near unexpected token `;'
remote: /var/lib/openshift/519d89fc484b1c08bc000002/app-root/runtime/repo//.openshift/action_hooks/start: line 3: `nohup ./binhello >;${OPENSHIFT_DIY_LOG_DIR}/binhello.log 2>&1 &'
remote: An error occurred executing 'gear postreceive'
remote: 
remote: For more details about the problem, try running the command again with the '--trace' option.
To ssh://519d89fc484b1c08bc000002@jamie-wsundev3261.dev.rhcloud.com/~/git/jamie.git/
   0cbeeb1..5bcb215  master -> master

Expected results:
Can create quickstarts successfully.

Additional info:
Comment 1 weiwei jiang 2013-05-27 02:07:58 EDT
I tried to create a django app on devenv_3277 via web console, got error message as follow:

The initial build for the application failed. Last 10 kB of build output: Stopping PYTHON cart httpd (no pid file) not running setup.py found.  Setting up virtualenv New python executable in /var/lib/openshift/334578959237506857435136/python//virtenv/bin/python Installing setuptools............done. Installing pip...............done. running develop running egg_info creating YourAppName.egg-info writing requirements to YourAppName.egg-info/requires.txt writing YourAppName.egg-info/PKG-INFO writing top-level names to YourAppName.egg-info/top_level.txt writing dependency_links to YourAppName.egg-info/dependency_links.txt writing requirements to YourAppName.egg-info/requires.txt writing YourAppName.egg-info/PKG-INFO writing top-level names to YourAppName.egg-info/top_level.txt writing dependency_links to YourAppName.egg-info/dependency_links.txt writing manifest file 'YourAppName.egg-info/SOURCES.txt' warning: manifest_maker: standard file 'setup.py' not found reading manifest file 'YourAppName.egg-info/SOURCES.txt' writing manifest file 'YourAppName.egg-info/SOURCES.txt' running build_ext Creating /var/lib/openshift/334578959237506857435136/python/virtenv/lib/python2.6/site-packages/YourAppName.egg-link (link to .) Adding YourAppName 1.0 to easy-install.pth file Installed /var/lib/openshift/334578959237506857435136/python/virtenv Processing dependencies for YourAppName==1.0 Searching for Django<=1.4 Reading http://mirror1.ops.rhcloud.com/mirror/python/web/simple/Django/ Best match: Django 1.4 Downloading http://mirror1.ops.rhcloud.com/mirror/python/web/packages/source/D/Django/Django-1.4.tar.gz#md5=ba8e86198a93c196015df0b363ab1109 Processing Django-1.4.tar.gz Running Django-1.4/setup.py -q bdist_egg --dist-dir /tmp/easy_install-5yMnEq/Django-1.4/egg-dist-tmp-kGnuOE zip_safe flag not set; analyzing archive contents... django.test._doctest: module references __file__ django.test._doctest: module MAY be using inspect.getsourcefile django.utils.version: module references 
__path__ django.utils.module_loading: module references __path__ django.utils.autoreload: module references __file__ django.utils.unittest.loader: module references __file__ django.utils.unittest.collector: module references __file__ django.utils.translation.trans_real: module references __file__ django.utils.translation.__init__: module references __file__ django.views.i18n: module references __file__ django.contrib.flatpages.tests.views: module references __file__ django.contrib.flatpages.tests.middleware: module references __file__ django.contrib.flatpages.tests.csrf: module references __file__ django.contrib.flatpages.tests.templatetags: module references __file__ django.contrib.gis.tests.geogapp.tests: module references __file__ django.contrib.gis.tests.layermap.tests: module references __file__ django.contrib.gis.tests.geo3d.tests: module references __file__ django.contrib.gis.geometry.test_data: module references __file__ django.contrib.admindocs.views: module references __file__ django.contrib.auth.tests.context_processors: module references __file__ django.contrib.auth.tests.views: module references __file__ django.contrib.auth.tests.forms: module references __file__ django.contrib.staticfiles.storage: module references __file__ django.contrib.formtools.tests.__init__: module references __file__ django.contrib.formtools.tests.wizard.namedwizardtests.tests: module references __file__ django.contrib.formtools.tests.wizard.wizardtests.tests: module references __file__ django.contrib.sitemaps.tests.base: module references __file__ django.core.management.templates: module references __path__ django.core.management.sql: module references __file__ django.core.management.__init__: module references __file__ django.core.management.__init__: module references __path__ django.core.management.commands.makemessages: module references __file__ django.core.management.commands.loaddata: module references __file__ django.core.management.commands.loaddata: module references 
__path__ django.core.servers.basehttp: module references __path__ django.db.utils: module references __file__ django.db.models.loading: module references __file__ django.template.loaders.app_directories: module references __file__ Adding Django 1.4 to easy-install.pth file Installing django-admin.py script to /var/lib/openshift/334578959237506857435136/python/virtenv/bin Installed /var/lib/openshift/334578959237506857435136/python/virtenv/lib/python2.6/site-packages/Django-1.4-py2.6.egg Finished processing dependencies for YourAppName==1.0 Script /var/lib/openshift/334578959237506857435136/python//virtenv/bin/activate.csh cannot be made relative (it's not a normal script that starts with #!/var/lib/openshift/334578959237506857435136/python/virtenv/bin/python) Making script /var/lib/openshift/334578959237506857435136/python//virtenv/bin/pip-2.6 relative Making script /var/lib/openshift/334578959237506857435136/python//virtenv/bin/easy_install-2.6 relative Script /var/lib/openshift/334578959237506857435136/python//virtenv/bin/activate.fish cannot be made relative (it's not a normal script that starts with #!/var/lib/openshift/334578959237506857435136/python/virtenv/bin/python) Making script /var/lib/openshift/334578959237506857435136/python//virtenv/bin/pip relative Making script /var/lib/openshift/334578959237506857435136/python//virtenv/bin/easy_install relative Making script /var/lib/openshift/334578959237506857435136/python//virtenv/bin/django-admin.py relative New python executable in /var/lib/openshift/334578959237506857435136/python//virtenv/bin/python Installing setuptools.............done. Installing pip...............done. /var/lib/openshift/334578959237506857435136/app-root/runtime/repo/.openshift/action_hooks/deploy: line 8: /var/lib/openshift/334578959237506857435136//python-2.6/virtenv/bin/activate: No such file or directory Copying /var/lib/openshift/334578959237506857435136/app-root/runtime/repo//wsgi/openshift/sqlite3.db to /var/lib/openshift/33457895
9237506857435136/app-root/data/ Django application credentials:        user: admin        QbZWjcQHAKWa Executing 'python /var/lib/openshift/334578959237506857435136/app-root/runtime/repo//wsgi/openshift/manage.py collectstatic --noinput' Traceback (most recent call last):  File "/var/lib/openshift/334578959237506857435136/app-root/runtime/repo/wsgi/openshift/manage.py", line 2, in <module>    from django.core.management import execute_manager ImportError: No module named django.core.management An error occurred executing 'gear postreceive' For more details about the problem, try running the command again with the '--trace' option.
Comment 2 congqiyuan 2013-05-27 05:25:23 EDT
when I debugged this case "Ruby / Rails Framework Support ruby-1.8" met with "An error occurred executing 'gear postreceive'" as well.
Comment 3 congqiyuan 2013-05-27 05:52:58 EDT
when I debugged this case "check jenkins functionality upon failed build [perl]" met with "An error occurred executing 'gear postreceive'" as well.
Comment 4 congqiyuan 2013-05-27 06:00:55 EDT
when I debugged this case "rhc-cartridge]check jenkins functionality upon failed build [php]" met with "An error occurred executing 'gear postreceive'" as well.
Comment 5 congqiyuan 2013-05-27 06:01:37 EDT
when I debugged this case "rhc-cartridge]check jenkins functionality upon failed build [python]" met with "An error occurred executing 'gear postreceive'" as well
Comment 6 Dan McPherson 2013-05-28 13:15:02 EDT
I didn't hit an issue with https://github.com/openshift/openshift-diy-binhello-demo
Comment 7 Dan McPherson 2013-05-28 13:16:55 EDT
Mrunal,  I am taking this bug back but you can keep looking at the python ones.
Comment 8 Mrunal Patel 2013-05-28 13:37:57 EDT
Pushed a fix for Django.
Comment 9 Mrunal Patel 2013-05-28 13:55:36 EDT
Pushed fix for https://github.com/openshift/OSQA-openshift-quickstart
Comment 10 Mrunal Patel 2013-05-28 14:36:51 EDT
Pushed fix for https://github.com/openshift/reviewboard-example
Comment 11 Mrunal Patel 2013-05-28 14:47:56 EDT
Pushed fix for https://github.com/openshift/BookMarks-openshift-quickstart
Comment 12 Dan McPherson 2013-05-28 17:13:33 EDT
Pushed fix for https://github.com/openshift/openshift-ogm-quickstart/
Comment 13 Dan McPherson 2013-05-28 17:33:37 EDT
Pushed fix for https://github.com/openshift/owncloud-openshift-quickstart/
Comment 14 Dan McPherson 2013-05-28 18:05:46 EDT
I have removed https://github.com/openshift/jbossas7-liferay-quickstart and we will no longer be supporting it.
Comment 15 Dan McPherson 2013-05-28 18:46:45 EDT
Redmine fixed in:

https://github.com/openshift/origin-server/pull/2665

plus changes to the redmine quickstart.

Once that request merges everything should be available to test.
Comment 16 Wei Sun 2013-05-29 06:07:25 EDT
Verified on devenv_3282 .
Check  binhello/OSQA/redmine/django/ogm/BookMarks/owncloud/reviewboard quickstarts,can git push successfully.

Note You need to log in before you can comment on or make changes to this bug.